local use_google = require("utils").use_google

return {
	{
		"vintharas/avante-goose.nvim",
		url = "sso://user/vintharas/avante-goose.nvim",
		opts = {},
		cond = use_google(),
	},
	{
		"yetone/avante.nvim",
		event = "VeryLazy",
		version = false, -- Never set this value to "*"! Never!
		opts = {
			-- add any opts here
			-- for example
			openai = {
				endpoint = "https://api.openai.com/v1",
				model = "gpt-4o", -- your desired model (or use gpt-4o, etc.)
				timeout = 30000, -- Timeout in milliseconds, increase this for reasoning models
				temperature = 0,
				max_completion_tokens = 8192, -- Increase this to include reasoning tokens (for reasoning models)
				--reasoning_effort = "medium", -- low|medium|high, only used for reasoning models
			},
			vendors = {}, -- Makes sure there's a vendors table
		},
		config = function(_, opts)
			-- Load provider from the plugin
			opts.vendors["goose"] = require("avante-goose").getProvider({
				-- Add your options here
				model = "goose-v3.5-s", -- go/goose-models
				temperature = 0.1,
			})

				if use_google() then
					opts.provider = "goose"
				else
					opts.provider = "openai"
				end
			require("avante").setup(opts)
		end,
		-- if you want to build from source then do `make BUILD_FROM_SOURCE=true`
		build = "make",
		-- build = "powershell -ExecutionPolicy Bypass -File Build.ps1 -BuildFromSource false" -- for windows
		dependencies = {
			"nvim-treesitter/nvim-treesitter",
			-- "vintharas/avante-goose.nvim",
			"stevearc/dressing.nvim",
			"Kaiser-Yang/blink-cmp-avante",
			"nvim-lua/plenary.nvim",
			"MunifTanjim/nui.nvim",
			--- The below dependencies are optional,
			"echasnovski/mini.pick", -- for file_selector provider mini.pick
			"nvim-telescope/telescope.nvim", -- for file_selector provider telescope
			"hrsh7th/nvim-cmp", -- autocompletion for avante commands and mentions
			"ibhagwan/fzf-lua", -- for file_selector provider fzf
			"nvim-tree/nvim-web-devicons", -- or echasnovski/mini.icons
			"zbirenbaum/copilot.lua", -- for providers='copilot'
		},
	},
}
